                              QINGY
 
			Qingy Is Not GettY


/----------------\
| What is qingy? |
\----------------/
qingy is a replacement of getty.
Written in C, it uses DirectFB to provide a fast, nice GUI
without the overhead of the X Window System.
It allows the user to log in and start the session of his choice
(text console, gnome, kde, wmaker, ...).


/----------------\
|    Features    |
\----------------/
- It works ;-)
- It remembers last user who logged in, with focus on password
- It also rememebers last session each user chose
- Alternatively it remembers last session on a per-tty basis
- Fully themable
- A theme will look the same on all machines, independently of the resolution (*)
- You can select your favourite theme, or a random one every time
- Both text and X sessions are supported
- You can start more that one X session at once
- You can even start X inside a console when X sessions are already running
- PAM support
- Support for screen savers
- Auto log-in support
- Session locking support
- Session timeout, with lock or logout as available actions
- tty specific options support
- Customizable key bindings
- Text mode support (**)

(*)  Provided it has ben converted to the structure of qingy 0.6.0 and higher,
     which adds the ability to specify the native resolution of the theme,
     instead of defaulting to 800x600...
(**) Useful if you don't care about fancy graphics but *do* care about
     session choice, locking, timeout or auto log-in.



/----------------\
|     Usage      |
\----------------/
- Use <TAB> to jump to the next section
- Use <SHIFT-TAB> to jump to the previous section
- You can also use your mouse and click a section
- Type as you always did in previous life ;-) (*)
- Use <UP> and <DOWN> arrows to browse sessions
- Click on <POWER> and <RESET> buttons and you will,
  respectively, poweroff and reboot
- The above can also be obtained via <ALT-P> and <ALT-R>
- Press <ENTER> to log in
- Press <CTRL-ESC> to deactivate DirectFB and get a text login
- Press <ALT-Fn> (or <CTRL-ALT-Fn>) to switch to the nth tty(**)
- If you log into, say, WindowMaker, and then change VT,
  WM will wait for you to switch back to the previous VT

(*) you can use all the usual <LEFT>, <RIGHT>, <HOME>,
    <END>, <DEL>, <BACKSPACE> keys to edit your text
(**) there is no need to enable VT switching in DirectFDB


/----------------\
|Program Options |
\----------------/
Output of 'qingy -h':

qingy version 0.9.0

usage: ginqy <ttyname> [options]
Options:
        -t, --text-mode
        Perform a text-mode login prompt (no graphics).

        -f <device>, --fb-device <device>
        Use <device> as framebuffer device.

        -p, --hide-password
        Do not show password asterisks.

        -l, --hide-lastuser
        Do not display last user name.

        -d, --disable-lastuser
        Do not remember last user name.

        -n, --no-shutdown-screen
        Close DirectFB mode before shutting down.
        This way you will see system shutdown messages.

        -s <timeout>, --screensaver <timeout>
        Activate screensaver after <timeout> minutes (default is 5).
        A value of 0 disables screensaver completely.

        -r <xres>x<yres>, --resolution <xres>x<yres>
        Do not detect framebuffer resolution, use this one instead.

        -h, --help
        Print this help message.


/----------------\
| Configuration  |
\----------------/
qingy puts all its configuration files in /etc/qingy.
There you will find the configuration file (settings),
that you can tweak as you need/like.

/--------------\
| More details |
\--------------/

Qingy comes with extensive documentation in the form of TeXinfo
documents (the GNU standard documentation method). Just type `info
qingy` from a shell to browse it. It is quite outdated now, but
still useful...
